import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Frosch extends Actor
{
    // Attribute
    public String name;
    public boolean istEinFroschkoenig;
    public Krone seineKrone;
    public int anzahlGeklickt = 0;

    public boolean istSichtbar = false;
    private int sichtbarkeitsTimer;

    // Konstruktor
    public Frosch(String pName, boolean pIstEinFroschkoenig, Krone pSeineKrone)
    {
        this.name = pName;
        this.istEinFroschkoenig = pIstEinFroschkoenig;
        if(this.istEinFroschkoenig) {
            this.setImage("froschkoenig-65x79.png");
        } else {
            this.setImage("frosch-normal-65x64.png");
        }
        this.seineKrone = pSeineKrone;
        this.unsichtbarmachen();
    }

    public void act()
    {
        this.erscheinenUndVerschwindenOrganisieren();
    }

    public void sichtbarmachen()
    {
        this.getImage().setTransparency(255);
    }

    public void unsichtbarmachen()
    {
        this.getImage().setTransparency(0);
    }

    public void sichtbarkeitsTimerSetzen()
    {
        this.sichtbarkeitsTimer = Greenfoot.getRandomNumber(210) + 60; // so lange ist Frosch sichtbar
    }

    public void erscheinenUndVerschwindenOrganisieren()
    {
        if(Greenfoot.getRandomNumber(1000) > 995 && !this.istSichtbar)
        {
            this.sichtbarkeitsTimerSetzen();
            this.istSichtbar = true;
            this.sichtbarmachen();
        }
        if(this.istSichtbar)
        {
            this.sichtbarkeitsTimer--;
            if(this.sichtbarkeitsTimer <= 0)
            {
                this.istSichtbar = false;
                this.unsichtbarmachen();
            }
        }
    }
}